[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# MilliSecondOfTheSecond

Calculate the number of milliseconds elapsed since the start of the second

## Declaration

Source position: dateutil.inc line 236

`function MilliSecondOfTheSecond(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Moment in the second

## Function result

Number of milliseconds elapsed since the start of the second

## Description

MilliSecondOfTheSecond returns the number of milliseconds that have passed since the start of the second (HH:MM:SS.000) till the moment indicated by AValue. This is a zero-based number, i.e. HH:MM:SS.000 will return 0.

## See also

MilliSecondOfTheYear |  | Calculate the number of milliseconds elapsed since the start of the year.
MilliSecondOfTheMonth |  | Calculate number of milliseconds elapsed since the start of the month.
MilliSecondOfTheWeek |  | Calculate the number of milliseconds elapsed since the start of the week
MilliSecondOfTheDay |  | Calculate the number of milliseconds elapsed since the start of the day
MilliSecondOfTheHour |  | Calculate the number of milliseconds elapsed since the start of the hour
MilliSecondOfTheMinute |  | Calculate the number of milliseconds elapsed since the start of the minute
SecondOfTheMinute |  | Calculate the number of seconds elapsed since the start of the minute

## Example

    Program Example46;

    { This program demonstrates the MilliSecondOfTheSecond function }

    Uses SysUtils,DateUtils;

    Var
      N : TDateTime;

    Begin
      N:=Now;
      Writeln('MilliSecond of the Second : ',
              MilliSecondOfTheSecond(N));
    End.

Documentation generated on: Feb 26 2014